.\" Copyright (c) 1986, University of Utah
.TH LIBRLE 3 3/6/85 3
.UC 4
.\" $Id: librle.3,v 3.0 90/08/03 15:31:24 spencer Exp $ 
.SH NAME
librle \- Functions to create and read Run Length Encoded image files.

.SH SYNOPSIS
.B
#include <rle.h>
.sp
.B
cc ... -lrle

.SH DESCRIPTION
The
.IR RLE (5)
image file format provides a method for saving and restoring images in
a device independent form.  A number of subroutines are available to
facilitate writing and reading 
.IR RLE (5)
files.  They are described separately in their own manual pages
(listed below).
.SH SEE ALSO
.na
.IR buildmap (3),
.IR bwdithermap (3),
.IR colorquant (3),
.IR ditherbw (3),
.IR dithergb (3),
.IR dithermap (3),
.IR float_to_exp (3),
.IR make_square (3),
.IR rgb_to_bw (3),
.IR rle_addhist (3),
.IR rle_cp (3),
.IR rle_debug (3),
.IR rle_delcom (3),
.IR rle_freeraw (3),
.IR rle_get_error (3),
.IR rle_get_setup (3),
.IR rle_get_setup_ok (3),
.IR rle_getcom (3),
.IR rle_getraw (3),
.IR rle_getrow (3),
.IR rle_getskip (3),
.IR rle_open_f (3),
.IR rle_open_f_noexit (3),
.IR rle_put_init (3),
.IR rle_put_setup (3),
.IR rle_putcom (3),
.IR rle_puteof (3),
.IR rle_putraw (3),
.Ir rle_putrow (3),
.IR rle_raw_alloc (3),
.IR rle_raw_free (3),
.IR rle_rawtorow (3),
.IR rle_row_alloc (3),
.IR rle_row_free (3),
.IR rle_skiprow (3),
.IR scanargs (3),
.IR rle_hdr (3),
.IR rle_op (3),
.IR RLE (5).
.ad b
.SH AUTHOR
Spencer W. Thomas, Todd Fuqua, and others.

